﻿using Syncfusion.Windows.Forms.Tools;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.XlsIO;

namespace SpreadsheetDemo
{
    public partial class Form1 : Form
    {
        private IWorkbook workbook1;
        private IWorkbook workbook2;

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(true);
            Application.Run(new Form1());
        }

        public Form1()
        {
            InitializeComponent();
            this.Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            OpenWorkbook();
        }

        private void OpenWorkbook()
        {
            var engine2 = new ExcelEngine();
            workbook2 = engine2.Excel.Workbooks.Open(@"../../Data/Book2.xlsx");
            spreadsheet2.Open(workbook2);

            workbook1 = engine2.Excel.Workbooks.Open(@"../../Data/Book1.xlsx");
            spreadsheet1.Open(workbook1);
        }

        private void Button_Click(object sender, EventArgs e)
        {
            //Below code will move a worksheet from one Spreadsheet to another.
            var book = workbook2.Clone();
            book.Worksheets.AddCopy(spreadsheet1.Workbook.Worksheets);
            book.Worksheets[1].Activate();
            spreadsheet2.Open(book);
            spreadsheet1.RemoveSheet("Sample");
        }
    }
}
